# st.table

Source: https://docs.streamlit.io/develop/api-reference/data/st.table

> **Tip**
>
> Static tables with `st.table` are the most basic way to display dataframes. For the majority of cases, we recommend using [`st.dataframe`](https://docs.streamlit.io/develop/api-reference/data/st.dataframe) to display interactive dataframes, and [`st.data_editor`](https://docs.streamlit.io/develop/api-reference/data/st.data_editor) to let users edit dataframes.

* Function signature:

   ```python
   st.table(data=None, *, border=True, width="stretch", height="content", hide_index=None, hide_header=None, alt=None)
   ```

* Parameters:

   | name | type | default | description |
   |---|---|---|---|
   | data | Anything supported by st.dataframe |  | The table data. All cells including the index and column headers can optionally contain GitHub-flavored Markdown. Syntax information can be found at: https://github.github.com/gfm. See the body parameter of st.markdown for additional, supported Markdown directives. |
   | border | bool or "horizontal" |  | Whether to show borders around the table and between cells. This can be one of the following:  True (default): Show borders around the table and between cells. False: Don't show any borders. "horizontal": Show only horizontal borders between rows. |
   | width | "stretch", "content", or int |  | The width of the table element. This can be one of the following:  "stretch" (default): The width of the element matches the width of the parent container. "content": The width of the element matches the width of its content, but doesn't exceed the width of the parent container. An integer specifying the width in pixels: The element has a fixed width. If the specified width is greater than the width of the parent container, the width of the element matches the width of the parent container.  Row index columns are sticky only when the content overflows a specified integer width. Otherwise, they aren't sticky. |
   | height | "stretch", "content", or int |  | The height of the table element. This can be one of the following:  "content" (default): The height of the element matches the height of its content, showing all rows. "stretch": The height of the element expands to fill the available vertical space in its parent container. When multiple elements with stretch height are in the same container, they share the available vertical space evenly. An integer specifying the height in pixels: The element has a fixed height. If the table content exceeds this height, scrolling is enabled with sticky headers. |
   | hide_index | bool or None |  | Whether to hide the index column. This can be one of the following values:  None (default): Hide the index column if it's a default RangeIndex. Show custom indices. True: Always hide the index column. False: Always show the index column. |
   | hide_header | bool or None |  | Whether to hide the column header row. This can be one of the following values:  None (default): Auto-hide headers for data formats without user-defined column names, like dict, list, and numpy.ndarray. Show headers for data with explicit column names, like pandas.DataFrame. True: Always hide the column header row, including all levels of MultiIndex headers. False: Always show the column header row. |
   | alt | str or None |  | A description of the table for screen readers and other assistive technologies. If this is None (default), Streamlit does not provide an accessible name for the table. An empty or whitespace-only string is treated the same as None and is logged so authors notice the dual meaning of alt="" across commands (decorative only on st.image / st.pyplot). Prefer a short, specific description. Describe what the data shows rather than repeating text that is already visible on the page. This is a short description of the table, not a full text alternative for dense data. |
